Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.functions
Class Random

    java.lang.Object
      org.apache.jmeter.functions.AbstractFunction
          org.apache.jmeter.functions.Random

All Implemented Interfaces:
  Function

public class Random
extends AbstractFunction

Provides a Random function which returns a random long integer between a min (first argument) and a max (second argument).

Constructor Summary
`Random()` No-arg constructor.

Method Summary
`String` | `execute(SampleResult previousResult, Sampler currentSampler)` Execute the function.
`List` | `getArgumentDesc()` Get the description of this function.
`String` | `getReferenceKey()` Get the invocation key for this function.
`void` | `setParameters(Collection parameters)` Set the parameters for the function.

Methods inherited from class org.apache.jmeter.functions.AbstractFunction
`checkMinParameterCount, checkParameterCount, checkParameterCount, execute, getVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Random

    public Random()

  No-arg constructor.

Method Detail

### execute

    public String execute(SampleResult previousResult,
                          Sampler currentSampler)
                   throws InvalidVariableException

  Execute the function.

  Specified by:
    `execute` in interface `Function`
  Specified by:
    `execute` in class `AbstractFunction`
  Throws:
    `InvalidVariableException`
  See Also:
    `Function.execute(SampleResult, Sampler)`

### setParameters

    public void setParameters(Collection parameters)
                       throws InvalidVariableException

  Set the parameters for the function.

  Specified by:
    `setParameters` in interface `Function`
  Specified by:
    `setParameters` in class `AbstractFunction`
  Throws:
    `InvalidVariableException`
  See Also:
    `Function.setParameters(Collection)`

### getReferenceKey

    public String getReferenceKey()

  Get the invocation key for this function.

  Specified by:
    `getReferenceKey` in interface `Function`
  Specified by:
    `getReferenceKey` in class `AbstractFunction`
  See Also:
    `Function.getReferenceKey()`

### getArgumentDesc

    public List getArgumentDesc()

  Get the description of this function.

  See Also:
    `Function.getArgumentDesc()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.